package com.heyu.api.baidu.response.common;


import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.List;

/**
 *https://console.bce.baidu.com/support/?_=1740219852952&timestamp=1740220055846#/api?product=AI&project=%E6%96%87%E5%AD%97%E8%AF%86%E5%88%AB&parent=%E9%80%9A%E7%94%A8%E5%9C%BA%E6%99%AFOCR&api=rest%2F2.0%2Focr%2Fv1%2Faccurate_basic&method=post
 *
 *
 * {
 *     "words_result": [
 *         {
 *             "words": "怀宁：农文旅融合绘就乡村新图景"
 *         },
 *         {
 *             "words": "怀宁：农文旅融合绘就乡村新图景-在雷埠乡曙光村迎庆桃基地，村民们正在学习果树修枝、追肥、病"
 *         },
 *         {
 *             "words": "虫害防治等田管技术。"
 *         },
 *         {
 *             "words": "新华网安徽站前天16：47"
 *         },
 *         {
 *             "words": "查看更多>"
 *         }
 *     ],
 *     "words_result_num": 5,
 *     "log_id": "1893503310105257648"
 * }
 */
@JsonIgnoreProperties(ignoreUnknown = true)
public class BAccurateBasicResp {


    @JsonProperty("words_result_num")
    private Integer wordsResultNum;
    @JsonProperty("log_id")
    private String logId;
    @JsonProperty("words_result")
    private List<WordsResultDTO> wordsResult;

    public Integer getWordsResultNum() {
        return wordsResultNum;
    }

    public void setWordsResultNum(Integer wordsResultNum) {
        this.wordsResultNum = wordsResultNum;
    }

    public String getLogId() {
        return logId;
    }

    public void setLogId(String logId) {
        this.logId = logId;
    }

    public List<WordsResultDTO> getWordsResult() {
        return wordsResult;
    }

    public void setWordsResult(List<WordsResultDTO> wordsResult) {
        this.wordsResult = wordsResult;
    }

    @JsonIgnoreProperties(ignoreUnknown = true)
    public static class WordsResultDTO {
        @JsonProperty("words")
        private String words;

        public String getWords() {
            return words;
        }

        public void setWords(String words) {
            this.words = words;
        }
    }
}
